.postbox {
    margin-bottom: 30px;
    display: flex;
    align-items: flex-start;
    flex-wrap: wrap;
    row-gap: 10px;
    column-gap: 20px;
}

.avatar {
    width: min(50px, 100%);
    flex-shrink: 0;
}

.avatar img {
    width: 100%;
    height: auto;
}

.textarea-wrapper {
    width: calc(100% - 10%);
}

.textarea {
    padding: 10px;
    width: inherit;
    height: 100px;
    resize: none;
    color: #131313;
    background-color: #fff;
    border: 1px solid #ccc;
}

#commentPush {
    padding: 10px 16px;
    cursor: pointer;
    color: #fff;
    background-color: firebrick;
}

/* posts */
#userCommentsContainer {
    margin-bottom: 20px;
}

#userCommentsContainer,
.post-list,
.answer {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.post {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.post-content {
    display: flex;
    align-items: flex-start;
    gap: 15px;
}

.comment__header {
    margin-bottom: 5px;
}

.post-byline {
    margin-right: 5px;
    display: inline-block;
}

.author a {
    font-size: 17px;
    font-weight: 500;
    color: #131313;
}

.parent-link {
    color: #b80000;
}

.time-ago {
    color: #a1a1a1;
    font-size: 14px;
}

.vote-up {
    cursor: pointer;
}

.answer {
    padding-left: calc(100% - (770px - 60px));
}

.comment-footer__menu {
    margin-top: 10px;
    display: flex;
    align-items: center;
    gap: 10px;
}